%define prerel %nil
%def_without ffmpeg
%def_disable static

Name: libquicktime
Version: 0.9.3
Release: alt1%prerel

Summary: A library for manipulating QuickTime files
License: GPL
Group: Video
Url: http://libquicktime.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version%prerel.tar.gz

Obsoletes: %name-xanim, %name-svq, %name-cinepak
Provides: %name-xanim = %version-%release, %name-svq  = %version-%release, %name-cinepak = %version-%release

%define ffmpeg_ver 0.4.8
%define dv_ver 0.102

%if_with ffmpeg
BuildPreReq: ffmpeg-devel >= %ffmpeg_ver
%endif

BuildPreReq: libdv-devel >= %dv_ver

# Automatically added by buildreq on Wed Jul 21 2004
BuildRequires: XFree86-devel-static XFree86-libs gcc-c++ gcc-g77 glib-devel glib2 gtk+-devel libGLU-devel libavc1394-devel libdv-devel libjpeg-devel libjpeg-mmx-devel liblame-devel libogg-devel libpng-devel libraw1394-devel libstdc++-devel libvorbis-devel pkgconfig xpm zlib-devel

%description
Libquicktime is a library for reading and writing QuickTime files on
UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library. Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.

%package devel
Summary: Header files and development documentation for libquicktime
Group: Development/C
Requires: %name = %version-%release
Requires: glib-devel
Requires: libpng-devel
Requires: libjpeg-devel
Requires: libdv-devel
Requires: libraw1394-devel
Requires: libavc1394-devel
Requires: libogg-devel
Requires: libvorbis-devel

%description devel
Header files and development documentation for libquicktime.

%package utils
Summary: Useful tools to operate at QuickTime files
Group: Video
Requires: %name = %version-%release

%description utils
Useful tools to operate on QuickTime files.

%package vorbis
Summary: Libquicktime plugin supporting the Ogg Vorbis codec.
Group: Video
Requires: %name = %version-%release

%description vorbis
Libquicktime plugin supporting the Ogg Vorbis codec.

%package ffmpeg
Summary: Libquicktime plugin supporting the ffmpeg codec
Group: Video
Requires: %name = %version-%release
Requires: libffmpeg >= %ffmpeg_ver

%description ffmpeg
Libquicktime plugin supporting the ffmpeg codec

%package opendivx
Summary: Libquicktime plugin supporting the opendivx codec
Group: Video
Requires: %name = %version-%release

%description opendivx
Libquicktime plugin supporting the opendivx codec.

%package lame
Summary: Libquicktime plugin supporting the Lame codec
Group: Video
Requires: %name = %version-%release

%description lame
Libquicktime plugin supporting the Lame codec.

%package dv
Summary: Libquicktime plugin supporting the DV codec
Group: Video
Requires: %name = %version-%release
Requires: libdv >= %dv_ver

%description dv
Libquicktime plugin supporting the DV codec.

%package devel-static
Summary: Static libquicktime libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libquicktime libraries.

%prep
%setup -q -n %name-%version%prerel

%if_without ffmpeg
#%patch1 -p1
%endif

%build
%configure \
    %{subst_enable static} \
%ifnarch i586 i686 athlon
    --disable-mmx \
%endif

%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/%name/*.la

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_libdir/%name/lqt_audiocodec.so
%_libdir/%name/lqt_rtjpeg.so
%_libdir/%name/lqt_png.so
%_libdir/%name/lqt_mjpeg.so
%_libdir/%name/lqt_videocodec.so
%doc README TODO

%files utils
%_bindir/*
%exclude %_bindir/lqt-config
%_man1dir/*

%files vorbis
%_libdir/%name/lqt_vorbis.so

%if_with ffmpeg
%files ffmpeg
%_libdir/%name/lqt_ffmpeg.so
%endif

%files opendivx
%_libdir/%name/lqt_opendivx.so

%files lame
%_libdir/%name/lqt_lame.so

%files dv
%_libdir/%name/lqt_dv.so

%files devel
%_bindir/lqt-config
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/%name/*.a
%endif

%changelog
* Wed Jul 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt1
- 0.9.3
- obsoletes libquicktime-{xanim,svq,cinepak}
- new Lame plugin.

* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1.3
- rebuild with libdv-0.102

* Tue Dec 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1.2
- do not package .la files.
- do not build devel-static subpackage by default.
- use %%set_verify_elf_method textrel=relaxed, I can't fix rtjpeg 
  asm code.

* Mon Oct 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1.1
- disabled ffmpeg plugin due not ready for new ffmpeg.

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1
- 0.9.2 release.

* Wed Nov 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt0.8pre1
- 0.9.2pre1.

* Sun Jul 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- First build for Sisyphus.
